Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

According to the Unicorn docs, there are different binaries for Rails apps and other Rack apps:

non-Rails Rack applications

In APP_ROOT, run:

    unicorn

for Rails applications (should work for all 1.2 or later versions)

In RAILS_ROOT, run:

    unicorn_rails

They seem to also take the same command-line parameters. But Rails is built on top of rack, so I don't understand why this dichotomy is required. Is there any reason you can't just use unicorn for Rails apps?

share|improve this question

1 Answer 1

up vote 1 down vote accepted

From the unicorn docs,

It is designed to help Rails 1.x and 2.y users transition to Rack, but it is NOT needed for Rails 3 applications. Rails 3 users are encouraged to use unicorn(1) instead of unicorn_rails(1). Users of Rails 1.x/2.y may also use unicorn(1) instead of unicorn_rails(1).

http://unicorn.bogomips.org/unicorn_rails_1.html

So, no, you don't need to use it at all.

It's worth pointing out that Rails only made the transition to Rack in late version 2 (I forget). So, when Unicorn first got released there were probably still a bunch of apps that had to be supported.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.